fofodéveloppeurs

Détail d’une livraison

GET
/api/v1/partner/deliveries/{id}

Authentification

bearer
AuthentificationBearer <clé API>

Clé API fx_live_…

Dans: header

Paramètres de chemin

id*string

Corps de la réponse

application/json

application/json

curl -X GET "https://example.com/api/v1/partner/deliveries/string"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "reference": "FX-522PDJ",  "externalRef": "WC-10482",  "status": "AWAITING_LOCATION",  "createdAt": "2019-08-24T14:15:22Z",  "customer": {    "lastName": "Dossou",    "firstName": "Aïcha",    "phone": "+2290197000000"  },  "pickup": {    "label": "Boutique",    "landmark": "À 40 m de Clinique Sainte Famille",    "lat": 6.3654,    "lng": 2.4183  },  "dropoff": {    "label": "Boutique",    "landmark": "À 40 m de Clinique Sainte Famille",    "lat": 6.3654,    "lng": 2.4183  },  "parcel": {    "category": "FASHION",    "size": "SMALL",    "fragile": true  },  "payment": {    "mode": "PREPAID",    "goodsAmount": 20000,    "feePayer": "CUSTOMER",    "collection": "SECURE",    "amountToCollect": 21500,    "status": "NOT_DUE",    "paidAt": "2019-08-24T14:15:22Z"  },  "price": 1500,  "priceIsEstimate": true,  "cancellationFee": 0,  "returnFee": 0,  "failureReason": null,  "courier": {    "firstName": "Koffi",    "phone": "+2290196000000",    "vehicleType": "MOTO",    "plateNumber": "AB 1234"  }}